import type { _VZConsolePortConfiguration } from "./VZConsolePortConfiguration.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _VZVirtioConsolePortConfiguration extends _VZConsolePortConfiguration {
    static alloc(): _VZVirtioConsolePortConfiguration;
    static new(): _VZVirtioConsolePortConfiguration;
    init(): _VZVirtioConsolePortConfiguration;
    /**
     * @abstract The console port's name. The default behavior is to not use a name unless set.
     */
    name(): _NSString | null;
    setName$(value: _NSString | null): void;
    /**
     * @abstract The console port may be marked for use as the system console. The default is false.
     */
    isConsole(): boolean;
    setIsConsole$(value: boolean): void;
}
